#ifndef Q1_H
#define Q1_H

class Q1 {
  public:
    Q1(const char * &s) : str_(s) {
      uid_ = id_++;
    }

    int uid() { return uid_; }
    // following method returns true if the object has the target id,
    // false otherwise
    bool uid(int targetId) { return targetId == id_; }

  private:
    static int id_;
    const char * &str_;
    int           uid_;
};

#endif // Q1_H
