#include <iostream>
#include <string>
#include <memory>
using namespace std;

class Foo {
public:
  Foo(string s) : str_(s) {}
  operator const string() { return str_; }
private:
  string str_;
};

void log(unique_ptr<Foo> p) {
  cout << "Log: " << string(*p) << endl;
}

int main(int argc, char *argv[]) {
  unique_ptr<Foo> p = make_unique<Foo>("q11 string");
  log(p);
  return 0;
}
